uartns550: XUartNs550 Struct Reference

| uartns550 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUartNs550 Struct Reference
Uartns550_v3_5

The XUartNs550 driver instance data. More...

## Data Fields
XUartNs550Stats | Stats
| Statistics. More...
UINTPTR | BaseAddress
| Base address of device. More...
u32 | InputClockHz
| Input clock frequency. More...
int | IsReady
| Device is initialized and ready. More...
u32 | BaudRate
| Current baud rate of hw. More...
u8 | LastErrors
| The accumulated errors. More...
XUartNs550Buffer | SendBuffer
| Send Buffer. More...
XUartNs550Buffer | ReceiveBuffer
| Receive Buffer. More...
XUartNs550_Handler | Handler
| Call back handler. More...

## Detailed Description

The XUartNs550 driver instance data.

The user is required to allocate a variable of this type for every UART 16550/16450 device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

UINTPTR XUartNs550::BaseAddress

Base address of device.

Referenced by XUartNs550_CfgInitialize(), XUartNs550_GetDataFormat(), XUartNs550_GetFifoThreshold(), XUartNs550_GetModemStatus(), XUartNs550_GetOptions(), XUartNs550_InterruptHandler(), XUartNs550_IsSending(), XUartNs550_ReceiveBuffer(), XUartNs550_Recv(), XUartNs550_SelfTest(), XUartNs550_Send(), XUartNs550_SendBuffer(), XUartNs550_SetDataFormat(), XUartNs550_SetFifoThreshold(), and XUartNs550_SetOptions().

u32 XUartNs550::BaudRate

Current baud rate of hw.

Referenced by XUartNs550_GetDataFormat().

XUartNs550_Handler XUartNs550::Handler

Call back handler.

Referenced by XUartNs550_CfgInitialize(), and XUartNs550_SetHandler().

u32 XUartNs550::InputClockHz

Input clock frequency.

Referenced by XUartNs550_CfgInitialize().

int XUartNs550::IsReady

Device is initialized and ready.

Referenced by XUartNs550_CfgInitialize(), XUartNs550_ClearStats(), XUartNs550_GetDataFormat(), XUartNs550_GetFifoThreshold(), XUartNs550_GetOptions(), XUartNs550_GetStats(), XUartNs550_Recv(), XUartNs550_SelfTest(), XUartNs550_Send(), XUartNs550_SetFifoThreshold(), XUartNs550_SetHandler(), and XUartNs550_SetOptions().

u8 XUartNs550::LastErrors

The accumulated errors.

Referenced by XUartNs550_GetLastErrors().

XUartNs550Buffer XUartNs550::ReceiveBuffer

Receive Buffer.

Referenced by XUartNs550_CfgInitialize(), XUartNs550_ReceiveBuffer(), and XUartNs550_Recv().

XUartNs550Buffer XUartNs550::SendBuffer

Send Buffer.

Referenced by XUartNs550_CfgInitialize(), XUartNs550_Send(), and XUartNs550_SendBuffer().

XUartNs550Stats XUartNs550::Stats

Statistics.

Referenced by XUartNs550_ClearStats(), XUartNs550_GetStats(), XUartNs550_ReceiveBuffer(), and XUartNs550_SendBuffer().